
using UnityEngine;
using NeonTea.Quakeball.Players;

namespace NeonTea.Quakeball.Items {
    public abstract class Item : MonoBehaviour {

        public abstract float Cooldown { get; }
        public abstract Animator Animator { get; }
        public abstract Transform RightHandAnchor { get; }
        public Player Holder;

        public abstract void Shoot(Player source);
        public abstract void Switched();
        public abstract void SwitchedOut();

    }
}